<?php
/* ======================================================
 # Support Hours for Joomla! - v1.6.2 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/browse/support-hours
 # Support: support@web357.com
 # Last modified: Monday 10 July 2023, 03:51:28 AM
 ========================================================= */
defined( '_JEXEC' ) or die( 'Restricted access' ); 

// CSS Style
$document->addStyleSheet($host.'modules/mod_supporthours/tmpl/layout-1.css');

?>
<style type="text/css">
<?php if ($timeformat == 4): // 4: none ?>
.mod_sh_layout_1 { padding-bottom: 8px; }
.mod_sh_layout_1 .w357_copyright_msg { top: 0px; }
<?php endif; ?>
.mod_sh_layout_1 { 
	margin-top: <?php echo (!empty($office_img) ? '50' : '0'); ?>px;
	width: <?php echo $box_width; ?>; 
	<?php if (!empty($office_img)): ?>
		box-shadow: 0 2px 4px rgba(0, 0, 0, 0.48);
		padding: 59px 0 20px 0;
	<?php else: ?>
		box-shadow: 0 1px 6px rgba(0, 0, 0, 0.48);
		padding: 38px 0 20px 0;
	<?php endif; ?>
}
<?php if (!$show_available_right_link): ?>
	.mod_sh_layout_1 .mod_sh_links_available .mod_sh_left_link { float: none; width: 100%; }
<?php endif; ?>
<?php if (!$show_offline_right_link): ?>
	.mod_sh_layout_1 .mod_sh_links_offline .mod_sh_left_link { float: none; width: 100%; }
<?php endif; ?>
</style>

<div class="mod_sh mod_sh_layout_1">

    <?php if (!empty($office_img)): ?><div class="mod_sh_img"><img src="<?php echo $office_img; ?>" width="68" height="68" /></div><?php endif; ?>
    <?php if (!empty($state_text)): ?><div class="mod_sh_heading"><?php echo $state_text; ?> <?php echo JText::_('MOD_SUPPORTHOURS_OFFICES_TXT'); ?></div><?php endif; ?>
    <div class="mod_sh_subheading"><?php echo JText::_('MOD_SUPPORTHOURS_SUPPORT_STATUS_TXT'); ?></div>
    <div class="mod_sh_status"><?php echo $support_status; ?></div>
    <div class="mod_sh_official_support_hours_lbl"><?php echo JText::_('MOD_SUPPORTHOURS_SUPPORT_HOUR_TXT'); ?>:</div>
    <div class="mod_sh_official_support_hours_value">
	<?php
    // display front text (e.g. Monday - Friday or Today closed)
    echo nl2br($front_text);
    
    // display open/close time (e.g. 12:00am - 11:59pm)
	if ($display_open_hours_beside_maintext):

		if ($day_break && ($today_open_after_break && $today_close_after_break)):
			echo '<br><span class="mod_sh_today_open_close">';
			echo $today_open.' - '.$today_close.' &amp; '.$today_open_after_break.' - '.$today_close_after_break;
			echo '</span>';
		else:
			echo ' / <span class="mod_sh_today_open_close">'.$today_open.' - '.$today_close.'</span>';
		endif; 
    	
    endif;
	
    // display gmt. (e.g. (America/New York, GMT -9) )
    if ($display_gmt):
        echo ' <span class="mod_sh_gmt">(';
        echo (!empty($offset_txt) ? $offset_txt.', ' : '');
        echo JText::_('MOD_SUPPORTHOURS_GMT').' '.$our_gmt.')';
        echo '</span>';
    endif;
    ?>
    </div>
	
	<?php if ($active_day == 'on' &&  $support_is_online): // Available links ?>
		<?php if ($show_available_left_link || $show_available_right_link): ?>
        <div class="mod_sh_links mod_sh_links_available">
        	<?php if ($show_available_left_link): ?>
                <div class="mod_sh_left_link">
                    <div class="mod_sh_left_link_inner">
                        <a href="<?php echo $available_left_link_url; ?>" target="<?php echo $available_left_link_target; ?>"><?php echo $available_left_link_txt; ?></a>
                    </div>
                </div>
            <?php endif; ?>
        	<?php if ($show_available_right_link): ?>
				<div class="mod_sh_link_separator"></div>
                <div class="mod_sh_right_link">
                    <div class="mod_sh_right_link_inner">
                        <a href="<?php echo $available_right_link_url; ?>" target="<?php echo $available_right_link_target; ?>"><?php echo $available_right_link_txt; ?></a>
                    </div>    
                </div>
            <?php endif; ?>
		</div>
        <?php endif; ?>
	<?php else: // Offline links ?>
		<?php if ($show_offline_left_link || $show_offline_right_link): ?>
		<div class="mod_sh_links mod_sh_links_offline">
        	<?php if ($show_offline_left_link): ?>
                <div class="mod_sh_left_link">
                    <div class="mod_sh_left_link_inner">
                        <a href="<?php echo $offline_left_link_url; ?>" target="<?php echo $offline_left_link_target; ?>"><?php echo $offline_left_link_txt; ?></a>
                    </div>
                </div>
            <?php endif; ?>
        	<?php if ($show_offline_right_link): ?>
				<div class="mod_sh_link_separator"></div>
                <div class="mod_sh_right_link">
                    <div class="mod_sh_right_link_inner">
                        <a href="<?php echo $offline_right_link_url; ?>" target="<?php echo $offline_right_link_target; ?>"><?php echo $offline_right_link_txt; ?></a>
                    </div>    
                </div>
            <?php endif; ?>
		</div>
        <?php endif; ?>
	<?php endif; ?>
	
    <?php if ($timeformat != 4): // 4: none ?>
    <div class="mod_sh_datetime">
    	<div class="mod_sh_your_time">
        	<div class="mod_sh_your_time_lbl"><?php echo JText::_('MOD_SUPPORTHOURS_YOUR_TIME'); ?></div>
        	<div class="mod_sh_your_time_value"><?php echo $your_date.''.$between_text.''.$your_time; ?></div>
        </div>
    	<div class="mod_sh_our_time">
        	<div class="mod_sh_our_time_lbl"><?php echo JText::_('MOD_SUPPORTHOURS_OUR_TIME'); ?></div>
        	<div class="mod_sh_our_time_value"><?php echo $our_date.''.$between_text.''.$our_time; ?></div>
        </div>
    </div>
    <?php endif; ?>

	<?php if ($display_copyright): ?>
        <div class="w357_copyright_msg"><a href="https://www.web357.com/joomla-extensions/support-hours?utm_source=CLIENT&amp;utm_medium=CLIENT-CopyrightLink-supporthours&amp;utm_content=CLIENT-CopyrightLink&amp;utm_campaign=supporthours" rel="nofollow" target="_blank">&copy; Support Hours - Joomla! Module</a></div>
    <?php endif; ?>

</div>